<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for HotelListResponse StructType
 * @subpackage Structs
 */
class HotelListResponse extends AbstractStructBase
{
    /**
     * The HotelListRS
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\JP_StaticDataRS
     */
    public $HotelListRS;
    /**
     * Constructor method for HotelListResponse
     * @uses HotelListResponse::setHotelListRS()
     * @param \StructType\JP_StaticDataRS $hotelListRS
     */
    public function __construct(\StructType\JP_StaticDataRS $hotelListRS = null)
    {
        $this
            ->setHotelListRS($hotelListRS);
    }
    /**
     * Get HotelListRS value
     * @return \StructType\JP_StaticDataRS|null
     */
    public function getHotelListRS()
    {
        return $this->HotelListRS;
    }
    /**
     * Set HotelListRS value
     * @param \StructType\JP_StaticDataRS $hotelListRS
     * @return \StructType\HotelListResponse
     */
    public function setHotelListRS(\StructType\JP_StaticDataRS $hotelListRS = null)
    {
        $this->HotelListRS = $hotelListRS;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\HotelListResponse
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
